apiVersion: operators.coreos.com/v1alpha1
kind: InstallPlan
metadata:
  creationTimestamp: "2020-10-09T09:10:51Z"
  generateName: install-
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b4b3f764-b2da-4e92-b92b-bb23e40be6f0"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        .: {}
        f:approval: {}
        f:approved: {}
        f:clusterServiceVersionNames: {}
        f:generation: {}
      f:status:
        .: {}
        f:catalogSources: {}
        f:conditions: {}
        f:phase: {}
        f:plan: {}
    manager: catalog
    operation: Update
    time: "2020-10-09T09:10:57Z"
  name: install-8sr4v
  namespace: openshift
  ownerReferences:
  - apiVersion: operators.coreos.com/v1alpha1
    blockOwnerDeletion: false
    controller: false
    kind: Subscription
    name: 3scale-community-operator
    uid: b4b3f764-b2da-4e92-b92b-bb23e40be6f0
  resourceVersion: "1164939"
  selfLink: /apis/operators.coreos.com/v1alpha1/namespaces/openshift/installplans/install-8sr4v
  uid: d38b3c33-467f-4fbf-972f-15f144da9d9d
spec:
  approval: Automatic
  approved: true
  clusterServiceVersionNames:
  - 3scale-community-operator.v0.5.1
  generation: 1
status:
  catalogSources:
  - community-operators
  conditions:
  - lastTransitionTime: "2020-10-09T09:10:54Z"
    lastUpdateTime: "2020-10-09T09:10:54Z"
    status: "True"
    type: Installed
  phase: Complete
  plan:
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: operators.coreos.com
      kind: ClusterServiceVersion
      manifest: |
        {"kind":"ClusterServiceVersion","apiVersion":"operators.coreos.com/v1alpha1","metadata":{"name":"3scale-community-operator.v0.5.1","namespace":"openshift","creationTimestamp":null,"annotations":{"alm-examples":"[{\"apiVersion\":\"apps.3scale.net/v1alpha1\",\"kind\":\"APIManager\",\"metadata\":{\"name\":\"example-apimanager\"},\"spec\":{\"wildcardDomain\":\"example.com\"}},\n {\"apiVersion\":\"apps.3scale.net/v1alpha1\",\"kind\":\"APIManager\",\"metadata\":{\"name\":\"example-apimanager-ha\"},\"spec\":{\"highAvailability\":{\"enabled\":true},\"wildcardDomain\":\"example.com\"}},\n {\"apiVersion\":\"apps.3scale.net/v1alpha1\",\"kind\":\"APIManager\",\"metadata\":{\"name\":\"example-apimanager-s3\"},\"spec\":{\"system\":{\"fileStorage\":{\"simpleStorageService\":{\"configurationSecretRef\":{\"name\":\"aws-auth\"}}}},\"wildcardDomain\":\"\\u003cdesired-domain\\u003e\"}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"API\",\"metadata\":{\"labels\":{\"environment\":\"testing\"},\"name\":\"example-api\"},\"spec\":{\"description\":\"api01\",\"integrationMethod\":{\"apicastHosted\":{\"apiTestGetRequest\":\"/\",\"authenticationSettings\":{\"credentials\":{\"apiKey\":{\"authParameterName\":\"user-key\",\"credentialsLocation\":\"headers\"}},\"errors\":{\"authenticationFailed\":{\"contentType\":\"text/plain; charset=us-ascii\",\"responseBody\":\"Authentication failed\",\"responseCode\":403},\"authenticationMissing\":{\"contentType\":\"text/plain; charset=us-ascii\",\"responseBody\":\"Authentication Missing\",\"responseCode\":403}},\"hostHeader\":\"\",\"secretToken\":\"MySecretTokenBetweenApicastAndMyBackend_1237120312\"},\"mappingRulesSelector\":{\"matchLabels\":{\"api\":\"api01\"}},\"privateBaseURL\":\"https://echo-api.3scale.net:443\"}}}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"Binding\",\"metadata\":{\"name\":\"example-binding\"},\"spec\":{\"APISelector\":{\"matchLabels\":{\"environment\":\"testing\"}},\"credentialsRef\":{\"name\":\"ecorp-tenant-secret\"}}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"Limit\",\"metadata\":{\"labels\":{\"api\":\"api01\"},\"name\":\"plan01-metric01-day-10\"},\"spec\":{\"description\":\"Limit for metric01 in plan01\",\"maxValue\":10,\"metricRef\":{\"name\":\"metric01\"},\"period\":\"day\"}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"MappingRule\",\"metadata\":{\"labels\":{\"api\":\"api01\"},\"name\":\"metric01-get-path01\"},\"spec\":{\"increment\":1,\"method\":\"GET\",\"metricRef\":{\"name\":\"metric01\"},\"path\":\"/path01\"}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"Metric\",\"metadata\":{\"labels\":{\"api\":\"api01\"},\"name\":\"metric01\"},\"spec\":{\"description\":\"metric01\",\"incrementHits\":false,\"unit\":\"hit\"}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"Plan\",\"metadata\":{\"labels\":{\"api\":\"api01\"},\"name\":\"example-plan\"},\"spec\":{\"approvalRequired\":false,\"costs\":{\"costMonth\":0,\"setupFee\":0},\"default\":true,\"limitSelector\":{\"matchLabels\":{\"plan\":\"plan01\"}},\"trialPeriod\":0}},\n {\"apiVersion\":\"capabilities.3scale.net/v1alpha1\",\"kind\":\"Tenant\",\"metadata\":{\"name\":\"example-tenant\"},\"spec\":{\"email\":\"admin@example.com\",\"masterCredentialsRef\":{\"name\":\"system-seed\"},\"organizationName\":\"Example.com\",\"passwordCredentialsRef\":{\"name\":\"ecorp-admin-secret\"},\"systemMasterUrl\":\"https://master.example.com\",\"tenantSecretRef\":{\"name\":\"ecorp-tenant-secret\",\"namespace\":\"operator-test\"},\"username\":\"admin\"}}]","capabilities":"Full Lifecycle","categories":"Integration \u0026 Delivery","certified":"false","containerImage":"quay.io/3scale/3scale-operator:v0.5.0","createdAt":"2019-05-30T22:40:00Z","description":"3scale Operator to provision 3scale and publish/manage APIs","repository":"https://github.com/3scale/3scale-operator","support":"Red Hat, Inc.","tectonic-visibility":"ocs"}},"spec":{"install":{"strategy":"deployment","spec":{"deployments":[{"name":"3scale-operator","spec":{"replicas":1,"selector":{"matchLabels":{"name":"threescale-operator"}},"template":{"metadata":{"creationTimestamp":null,"labels":{"name":"threescale-operator"}},"spec":{"containers":[{"name":"3scale-operator","image":"quay.io/3scale/3scale-operator:v0.5.0","command":["3scale-operator"],"env":[{"name":"WATCH_NAMESPACE","valueFrom":{"fieldRef":{"fieldPath":"metadata.namespace"}}},{"name":"POD_NAME","valueFrom":{"fieldRef":{"fieldPath":"metadata.name"}}},{"name":"OPERATOR_NAME","value":"threescale-operator"},{"name":"BACKEND_IMAGE","value":"quay.io/3scale/3scale28:apisonator-3scale-2.8.1-GA"},{"name":"APICAST_IMAGE","value":"quay.io/3scale/3scale28:apicast-3scale-2.8.1-GA"},{"name":"SYSTEM_IMAGE","value":"quay.io/3scale/3scale28:porta-3scale-2.8.1-GA"},{"name":"ZYNC_IMAGE","value":"quay.io/3scale/3scale28:zync-3scale-2.8.1-GA"},{"name":"SYSTEM_MEMCACHED_IMAGE","value":"memcached:1.5"},{"name":"BACKEND_REDIS_IMAGE","value":"centos/redis-32-centos7"},{"name":"SYSTEM_REDIS_IMAGE","value":"centos/redis-32-centos7"},{"name":"SYSTEM_MYSQL_IMAGE","value":"centos/mysql-57-centos7"},{"name":"SYSTEM_POSTGRESQL_IMAGE","value":"centos/postgresql-10-centos7"},{"name":"ZYNC_POSTGRESQL_IMAGE","value":"centos/postgresql-10-centos7"}],"resources":{}}],"serviceAccountName":"3scale-operator"}},"strategy":{}}}],"permissions":[{"serviceAccountName":"3scale-operator","rules":[{"verbs":["*"],"apiGroups":[""],"resources":["pods","replicationcontrollers","services","endpoints","persistentvolumeclaims","events","configmaps","secrets","serviceaccounts","bindings/finalizers"]},{"verbs":["*"],"apiGroups":["apps"],"resources":["deployments","daemonsets","replicasets","statefulsets"]},{"verbs":["update"],"apiGroups":["apps"],"resources":["deployments/finalizers"],"resourceNames":["3scale-operator"]},{"verbs":["*"],"apiGroups":["rbac.authorization.k8s.io"],"resources":["roles","rolebindings"]},{"verbs":["*"],"apiGroups":["image.openshift.io"],"resources":["imagestreams","imagestreams/layers"]},{"verbs":["*"],"apiGroups":["route.openshift.io"],"resources":["routes"]},{"verbs":["create"],"apiGroups":["route.openshift.io"],"resources":["routes/custom-host"]},{"verbs":["get"],"apiGroups":["route.openshift.io"],"resources":["routes/status"]},{"verbs":["*"],"apiGroups":["apps.openshift.io"],"resources":["deploymentconfigs"]},{"verbs":["get","create"],"apiGroups":["monitoring.coreos.com"],"resources":["servicemonitors"]},{"verbs":["get","list","create","update","watch","delete"],"apiGroups":["policy"],"resources":["poddisruptionbudgets"]},{"verbs":["*"],"apiGroups":["apps.3scale.net"],"resources":["*"]},{"verbs":["*"],"apiGroups":["capabilities.3scale.net"],"resources":["*","bindings","metrics","plans","limits","mappingrules","tenants"]}]}]}},"version":"0.5.1","maturity":"stable","customresourcedefinitions":{"owned":[{"name":"apimanagers.apps.3scale.net","version":"v1alpha1","kind":"APIManager","displayName":"API Manager","description":"API Manager","resources":[{"name":"","kind":"DeploymentConfig","version":"apps.openshift.io/v1"},{"name":"","kind":"PersistentVolumeClaim","version":"v1"},{"name":"","kind":"Service","version":"v1"},{"name":"","kind":"Route","version":"route.openshift.io/v1"},{"name":"","kind":"ImageStream","version":"image.openshift.io/v1"}],"statusDescriptors":[{"path":"deployments","displayName":"Deployments","description":"API Manager Deployment Configs","x-descriptors":["urn:alm:descriptor:com.tectonic.ui:podStatuses"]}],"specDescriptors":[{"path":"wildcardDomain","displayName":"Wildcard Domain","description":"Wildcard domain as configured in the API Manager object","x-descriptors":["urn:alm:descriptor:com.tectonic.ui:label"]}]},{"name":"apis.capabilities.3scale.net","version":"v1alpha1","kind":"API","displayName":"API","description":"API"},{"name":"bindings.capabilities.3scale.net","version":"v1alpha1","kind":"Binding","displayName":"Binding","description":"Binding"},{"name":"limits.capabilities.3scale.net","version":"v1alpha1","kind":"Limit","displayName":"Limit","description":"Limit"},{"name":"mappingrules.capabilities.3scale.net","version":"v1alpha1","kind":"MappingRule","displayName":"MappingRule","description":"MappingRule"},{"name":"metrics.capabilities.3scale.net","version":"v1alpha1","kind":"Metric","displayName":"Metric","description":"Metric"},{"name":"plans.capabilities.3scale.net","version":"v1alpha1","kind":"Plan","displayName":"Plan","description":"Plan"},{"name":"tenants.capabilities.3scale.net","version":"v1alpha1","kind":"Tenant","displayName":"Tenant","description":"Tenant"}]},"apiservicedefinitions":{},"displayName":"3scale API Management","description":"The 3scale community Operator creates and maintains the Red Hat 3scale API Management - Community version on OpenShift in various deployment configurations.\n\n3scale API Management makes it easy to manage your APIs.\nShare, secure, distribute, control, and monetize your APIs on an infrastructure platform built for performance, customer control, and future growth.\n\n### Supported Features\n* **Installer** A way to install a 3scale API Management solution, providing configurability options at the time of installation\n* **Upgrade** Upgrade from previously installed 3scale API Management solution\n* **Reconcilliation** Tunable CRD parameters after 3scale API Management solution is installed\n* **Capabilities** Ability to define 3scale API definitions and set them into a 3scale API Management solution\n\n### Documentation\nDocumentation can be found on our [website](https://github.com/3scale/3scale-operator/blob/3scale-2.8-stable/doc/operator-user-guide.md).\n\n### Getting help\nIf you encounter any issues while using 3scale operator, you can create an issue on our [website](https://github.com/3scale/3scale-operator) for bugs, enhancements, or other requests.\n\n### Contributing\nYou can contribute by:\n\n* Raising any issues you find using 3scale Operator\n* Fixing issues by opening [Pull Requests](https://github.com/3scale/3scale-operator/pulls)\n* Improving [documentation](https://github.com/3scale/3scale-operator/blob/3scale-2.8-stable/doc/operator-user-guide.md)\n* Talking about 3scale Operator\n\nAll bugs, tasks or enhancements are tracked as [GitHub issues](https://github.com/3scale/3scale-operator/issues).\n\n### License\n3scale Operator is licensed under the [Apache 2.0 license](https://github.com/3scale/3scale-operator/blob/master/LICENSE)\n","keywords":["3scale","API"],"maintainers":[{"name":"3scale","email":"eastizle+3scaleoperator@redhat.com"},{"name":"3scale","email":"msoriano+3scaleoperator@redhat.com"}],"provider":{"name":"Red Hat"},"links":[{"name":"GitHub","url":"https://github.com/3scale/3scale-operator"},{"name":"Documentation","url":"https://github.com/3scale/3scale-operator/blob/3scale-2.8-stable/doc/operator-user-guide.md"}],"icon":[{"base64data":"[encoded data, 21404 characters]","mediatype":"image/png"}],"installModes":[{"type":"OwnNamespace","supported":true},{"type":"SingleNamespace","supported":true},{"type":"MultiNamespace","supported":false},{"type":"AllNamespaces","supported":false}]},"status":{}}
      name: 3scale-community-operator.v0.5.1
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1alpha1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"apimanagers.apps.3scale.net"},"spec":{"group":"apps.3scale.net","names":{"kind":"APIManager","listKind":"APIManagerList","plural":"apimanagers","singular":"apimanager"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"apiVersion":{"description":"APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#resources","type":"string"},"kind":{"description":"Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds","type":"string"},"metadata":{"type":"object"},"spec":{"properties":{"apicast":{"properties":{"image":{"type":"string"},"managementAPI":{"type":"string"},"openSSLVerify":{"type":"boolean"},"productionSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"},"registryURL":{"type":"string"},"responseCodes":{"type":"boolean"},"stagingSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"}},"type":"object"},"appLabel":{"type":"string"},"backend":{"properties":{"cronSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"},"image":{"type":"string"},"listenerSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"},"redisImage":{"type":"string"},"workerSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"}},"type":"object"},"highAvailability":{"properties":{"enabled":{"type":"boolean"}},"type":"object"},"imageStreamTagImportInsecure":{"type":"boolean"},"podDisruptionBudget":{"properties":{"enabled":{"type":"boolean"}},"type":"object"},"resourceRequirementsEnabled":{"type":"boolean"},"system":{"properties":{"appSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"},"database":{"properties":{"mysql":{"description":"Union type. Only one of the fields can be set","properties":{"image":{"type":"string"}},"type":"object"},"postgresql":{"properties":{"image":{"type":"string"}},"type":"object"}},"type":"object"},"fileStorage":{"properties":{"amazonSimpleStorageService":{"description":"Deprecated","properties":{"awsBucket":{"description":"Deprecated","type":"string"},"awsCredentialsSecret":{"description":"Deprecated","properties":{"name":{"type":"string"}},"type":"object"},"awsRegion":{"description":"Deprecated","type":"string"}},"required":["awsBucket","awsRegion","awsCredentialsSecret"],"type":"object"},"persistentVolumeClaim":{"description":"Union type. Only one of the fields can be set.","properties":{"storageClassName":{"type":"string"}},"type":"object"},"simpleStorageService":{"properties":{"configurationSecretRef":{"properties":{"name":{"type":"string"}},"type":"object"}},"required":["configurationSecretRef"],"type":"object"}},"type":"object"},"image":{"type":"string"},"memcachedImage":{"type":"string"},"redisImage":{"type":"string"},"sidekiqSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"}},"type":"object"},"tenantName":{"type":"string"},"wildcardDomain":{"type":"string"},"zync":{"properties":{"appSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"},"image":{"type":"string"},"postgreSQLImage":{"type":"string"},"queSpec":{"properties":{"replicas":{"format":"int64","type":"integer"}},"type":"object"}},"type":"object"}},"required":["wildcardDomain"],"type":"object"},"status":{"properties":{"conditions":{"items":{"properties":{"status":{"type":"string"},"type":{"type":"string"}},"required":["type","status"],"type":"object"},"type":"array"},"deployments":{"properties":{"ready":{"description":"Deployments are ready to serve requests","items":{"type":"string"},"type":"array"},"starting":{"description":"Deployments are starting, may or may not succeed","items":{"type":"string"},"type":"array"},"stopped":{"description":"Deployments are not starting, unclear what next step will be","items":{"type":"string"},"type":"array"}},"type":"object"}},"required":["deployments"],"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: apimanagers.apps.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"apis.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"API","listKind":"APIList","plural":"apis","singular":"api"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"description":{"type":"string"},"integrationMethod":{"properties":{"apicastHosted":{"properties":{"apiTestGetRequest":{"type":"string"},"authenticationSettings":{"properties":{"credentials":{"properties":{"apiKey":{"properties":{"authParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["authParameterName","credentialsLocation"],"type":"object"},"appID":{"properties":{"appIDParameterName":{"type":"string"},"appKeyParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["appIDParameterName","appKeyParameterName","credentialsLocation"],"type":"object"},"openIDConnector":{"properties":{"credentialsLocation":{"type":"string"},"issuer":{"type":"string"}},"required":["issuer","credentialsLocation"],"type":"object"}},"type":"object"},"errors":{"properties":{"authenticationFailed":{"properties":{"contentType":{"type":"string"},"responseBody":{"type":"string"},"responseCode":{"format":"int64","type":"integer"}},"required":["responseCode","contentType","responseBody"],"type":"object"},"authenticationMissing":{"properties":{"contentType":{"type":"string"},"responseBody":{"type":"string"},"responseCode":{"format":"int64","type":"integer"}},"required":["responseCode","contentType","responseBody"],"type":"object"}},"required":["authenticationFailed","authenticationMissing"],"type":"object"},"hostHeader":{"type":"string"},"secretToken":{"type":"string"}},"required":["hostHeader","secretToken","credentials","errors"],"type":"object"},"mappingRulesSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"policiesSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"privateBaseURL":{"type":"string"}},"required":["privateBaseURL","apiTestGetRequest","authenticationSettings"],"type":"object"},"apicastOnPrem":{"properties":{"apiTestGetRequest":{"type":"string"},"authenticationSettings":{"properties":{"credentials":{"properties":{"apiKey":{"properties":{"authParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["authParameterName","credentialsLocation"],"type":"object"},"appID":{"properties":{"appIDParameterName":{"type":"string"},"appKeyParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["appIDParameterName","appKeyParameterName","credentialsLocation"],"type":"object"},"openIDConnector":{"properties":{"credentialsLocation":{"type":"string"},"issuer":{"type":"string"}},"required":["issuer","credentialsLocation"],"type":"object"}},"type":"object"},"errors":{"properties":{"authenticationFailed":{"properties":{"contentType":{"type":"string"},"responseBody":{"type":"string"},"responseCode":{"format":"int64","type":"integer"}},"required":["responseCode","contentType","responseBody"],"type":"object"},"authenticationMissing":{"properties":{"contentType":{"type":"string"},"responseBody":{"type":"string"},"responseCode":{"format":"int64","type":"integer"}},"required":["responseCode","contentType","responseBody"],"type":"object"}},"required":["authenticationFailed","authenticationMissing"],"type":"object"},"hostHeader":{"type":"string"},"secretToken":{"type":"string"}},"required":["hostHeader","secretToken","credentials","errors"],"type":"object"},"mappingRulesSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"policiesSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"privateBaseURL":{"type":"string"},"productionPublicBaseURL":{"type":"string"},"stagingPublicBaseURL":{"type":"string"}},"required":["privateBaseURL","apiTestGetRequest","authenticationSettings","stagingPublicBaseURL","productionPublicBaseURL"],"type":"object"},"codePlugin":{"properties":{"authenticationSettings":{"properties":{"credentials":{"properties":{"apiKey":{"properties":{"authParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["authParameterName","credentialsLocation"],"type":"object"},"appID":{"properties":{"appIDParameterName":{"type":"string"},"appKeyParameterName":{"type":"string"},"credentialsLocation":{"type":"string"}},"required":["appIDParameterName","appKeyParameterName","credentialsLocation"],"type":"object"},"openIDConnector":{"properties":{"credentialsLocation":{"type":"string"},"issuer":{"type":"string"}},"required":["issuer","credentialsLocation"],"type":"object"}},"type":"object"}},"required":["credentials"],"type":"object"}},"required":["authenticationSettings"],"type":"object"}},"type":"object"},"metricSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"planSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"}},"required":["description","integrationMethod"],"type":"object"},"status":{"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: apis.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"bindings.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"Binding","listKind":"BindingList","plural":"bindings","singular":"binding"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"apiSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"credentialsRef":{"properties":{"name":{"type":"string"},"namespace":{"type":"string"}},"type":"object"}},"required":["credentialsRef"],"type":"object"},"status":{"properties":{"currentState":{"type":"string"},"desiredState":{"type":"string"},"lastSync":{"properties":{"nanos":{"type":"integer"},"seconds":{"type":"integer"}},"type":"object"},"previousState":{"type":"string"}},"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: bindings.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"limits.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"Limit","listKind":"LimitList","plural":"limits","singular":"limit"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"maxValue":{"format":"int64","type":"integer"},"metricRef":{"properties":{"apiVersion":{"type":"string"},"fieldPath":{"type":"string"},"kind":{"type":"string"},"name":{"type":"string"},"namespace":{"type":"string"},"resourceVersion":{"type":"string"},"uid":{"type":"string"}},"type":"object"},"period":{"type":"string"}},"required":["period","maxValue","metricRef"],"type":"object"},"status":{"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: limits.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"mappingrules.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"MappingRule","listKind":"MappingRuleList","plural":"mappingrules","singular":"mappingrule"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"increment":{"format":"int64","type":"integer"},"method":{"type":"string"},"metricRef":{"properties":{"apiVersion":{"type":"string"},"fieldPath":{"type":"string"},"kind":{"type":"string"},"name":{"type":"string"},"namespace":{"type":"string"},"resourceVersion":{"type":"string"},"uid":{"type":"string"}},"type":"object"},"path":{"type":"string"}},"required":["path","method","increment","metricRef"],"type":"object"},"status":{"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: mappingrules.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"metrics.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"Metric","listKind":"MetricList","plural":"metrics","singular":"metric"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"description":{"type":"string"},"incrementHits":{"type":"boolean"},"unit":{"type":"string"}},"required":["unit","description","incrementHits"],"type":"object"},"status":{"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: metrics.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"plans.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"Plan","listKind":"PlanList","plural":"plans","singular":"plan"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"approvalRequired":{"type":"boolean"},"costs":{"properties":{"costMonth":{"format":"double","type":"number"},"setupFee":{"format":"double","type":"number"}},"type":"object"},"default":{"type":"boolean"},"limitSelector":{"properties":{"matchExpressions":{"items":{"properties":{"key":{"type":"string"},"operator":{"type":"string"},"values":{"type":"array"}}},"type":"array"},"matchLabels":{"type":"object"}},"type":"object"},"trialPeriod":{"format":"int64","type":"integer"}},"required":["default","trialPeriod","approvalRequired","limitSelector"],"type":"object"},"status":{"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: plans.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: apiextensions.k8s.io
      kind: CustomResourceDefinition
      manifest: |
        {"apiVersion":"apiextensions.k8s.io/v1beta1","kind":"CustomResourceDefinition","metadata":{"name":"tenants.capabilities.3scale.net"},"spec":{"group":"capabilities.3scale.net","names":{"kind":"Tenant","listKind":"TenantList","plural":"tenants","singular":"tenant"},"scope":"Namespaced","subresources":{"status":{}},"validation":{"openAPIV3Schema":{"properties":{"spec":{"properties":{"email":{"type":"string"},"masterCredentialsRef":{"properties":{"name":{"type":"string"},"namespace":{"type":"string"}},"type":"object"},"organizationName":{"type":"string"},"passwordCredentialsRef":{"properties":{"name":{"type":"string"},"namespace":{"type":"string"}},"type":"object"},"systemMasterUrl":{"type":"string"},"tenantSecretRef":{"properties":{"name":{"type":"string"},"namespace":{"type":"string"}},"type":"object"},"username":{"type":"string"}},"required":["username","email","organizationName","systemMasterUrl","tenantSecretRef","passwordCredentialsRef","masterCredentialsRef"],"type":"object"},"status":{"properties":{"adminId":{"format":"int64","type":"integer"},"tenantId":{"format":"int64","type":"integer"}},"required":["tenantId","adminId"],"type":"object"}}}},"version":"v1alpha1","versions":[{"name":"v1alpha1","served":true,"storage":true}]}}
      name: tenants.capabilities.3scale.net
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1beta1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: ""
      kind: ServiceAccount
      manifest: |
        {"metadata":{"name":"3scale-operator","namespace":"openshift","creationTimestamp":null,"ownerReferences":[{"apiVersion":"operators.coreos.com/v1alpha1","kind":"ClusterServiceVersion","name":"3scale-community-operator.v0.5.1","uid":"","controller":false,"blockOwnerDeletion":false}]}}
      name: 3scale-operator
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: rbac.authorization.k8s.io
      kind: Role
      manifest: |
        {"metadata":{"name":"3scale-community-operator.v0.5.1-3scale-operator-66858779b7","namespace":"openshift","creationTimestamp":null,"labels":{"olm.owner":"3scale-community-operator.v0.5.1","olm.owner.kind":"ClusterServiceVersion","olm.owner.namespace":"openshift"},"ownerReferences":[{"apiVersion":"operators.coreos.com/v1alpha1","kind":"ClusterServiceVersion","name":"3scale-community-operator.v0.5.1","uid":"","controller":false,"blockOwnerDeletion":false}]},"rules":[{"verbs":["*"],"apiGroups":[""],"resources":["pods","replicationcontrollers","services","endpoints","persistentvolumeclaims","events","configmaps","secrets","serviceaccounts","bindings/finalizers"]},{"verbs":["*"],"apiGroups":["apps"],"resources":["deployments","daemonsets","replicasets","statefulsets"]},{"verbs":["update"],"apiGroups":["apps"],"resources":["deployments/finalizers"],"resourceNames":["3scale-operator"]},{"verbs":["*"],"apiGroups":["rbac.authorization.k8s.io"],"resources":["roles","rolebindings"]},{"verbs":["*"],"apiGroups":["image.openshift.io"],"resources":["imagestreams","imagestreams/layers"]},{"verbs":["*"],"apiGroups":["route.openshift.io"],"resources":["routes"]},{"verbs":["create"],"apiGroups":["route.openshift.io"],"resources":["routes/custom-host"]},{"verbs":["get"],"apiGroups":["route.openshift.io"],"resources":["routes/status"]},{"verbs":["*"],"apiGroups":["apps.openshift.io"],"resources":["deploymentconfigs"]},{"verbs":["get","create"],"apiGroups":["monitoring.coreos.com"],"resources":["servicemonitors"]},{"verbs":["get","list","create","update","watch","delete"],"apiGroups":["policy"],"resources":["poddisruptionbudgets"]},{"verbs":["*"],"apiGroups":["apps.3scale.net"],"resources":["*"]},{"verbs":["*"],"apiGroups":["capabilities.3scale.net"],"resources":["*","bindings","metrics","plans","limits","mappingrules","tenants"]}]}
      name: 3scale-community-operator.v0.5.1-3scale-operator-66858779b7
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
  - resolving: 3scale-community-operator.v0.5.1
    resource:
      group: rbac.authorization.k8s.io
      kind: RoleBinding
      manifest: |
        {"metadata":{"name":"3scale-community-operator.v0.5.1-3scale-operator-66858779b7","namespace":"openshift","creationTimestamp":null,"labels":{"olm.owner":"3scale-community-operator.v0.5.1","olm.owner.kind":"ClusterServiceVersion","olm.owner.namespace":"openshift"},"ownerReferences":[{"apiVersion":"operators.coreos.com/v1alpha1","kind":"ClusterServiceVersion","name":"3scale-community-operator.v0.5.1","uid":"","controller":false,"blockOwnerDeletion":false}]},"subjects":[{"kind":"ServiceAccount","name":"3scale-operator","namespace":"openshift"}],"roleRef":{"apiGroup":"rbac.authorization.k8s.io","kind":"Role","name":"3scale-community-operator.v0.5.1-3scale-operator-66858779b7"}}
      name: 3scale-community-operator.v0.5.1-3scale-operator-66858779b7
      sourceName: community-operators
      sourceNamespace: openshift-marketplace
      version: v1
    status: Created
